
%global cvs_version 1_8_1_3
%global majorversion 1

Name:          hsqldb1
Version:       1.8.1.3
Release:       %mkrel 11
Group:         Development/Java
Summary:       HyperSQL Database Engine
License:       BSD
URL:           http://hsqldb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/hsqldb/hsqldb_%{cvs_version}.zip
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/hsqldb/hsqldb/1.8.0.10/hsqldb-1.8.0.10.pom
Patch0:        hsqldb-jdbc-4.1.patch
BuildRequires: ant
BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: junit
BuildRequires: glassfish-servlet-api
BuildRequires: java-devel

Requires:      glassfish-servlet-api
Requires:      jpackage-utils
BuildArch:     noarch

%description
HSQLdb is a relational database engine written in JavaTM , with a JDBC
driver, supporting a subset of ANSI-92 SQL. It offers a small (about
100k), fast database engine which offers both in memory and disk based
tables. Embedded and server modes are available. Additionally, it
includes tools such as a minimal web server, in-memory query and
management tools (can be run as applets or servlets, too) and a number
of demonstration examples.
Downloaded code should be regarded as being of production quality. The
product is currently being used as a database and persistence engine in
many Open Source Software projects and even in commercial projects and
products! In it's current version it is extremely stable and reliable.
It is best known for its small size, ability to execute completely in
memory and its speed. Yet it is a completely functional relational
database management system that is completely free under the Modified
BSD License. Yes, that's right, completely free of cost or restrictions!

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n hsqldb

# set right permissions
find . -name "*.sh" -exec chmod 755 \{\} \;
# remove all _notes directories
for dir in `find . -name _notes`; do rm -rf $dir; done
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;
find . -name "*.war" -exec rm -f {} \;
# correct silly permissions
chmod -R go=u-w *

%patch0 -p1

cp %{SOURCE1} ./pom.xml

%build
export CLASSPATH=$(build-classpath glassfish-servlet-api junit)
pushd build
ant jar javadoc
popd

%install

# jar
mkdir -p %{buildroot}%{_javadir}
install -m 644 lib/hsqldb.jar %{buildroot}%{_javadir}/%{name}.jar

# Maven metadata
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -v "%{majorversion}"

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r doc/src/* %{buildroot}%{_javadocdir}/%{name}

%files -f .mfiles
%license doc/hsqldb_lic.txt

%files javadoc
%{_javadocdir}/%{name}
%license doc/hsqldb_lic.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.8.1.3-11.mga6
+ Revision: 982341
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.8.1.3-10.mga6
+ Revision: 979468
- First rebuild of the java stack
- sync package hsqldb1 with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 1.8.1.3-5.mga5
+ Revision: 811452
- Sync with fc21
- update Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1.3-4.mga5
+ Revision: 748303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1.3-3.mga5
+ Revision: 680176
- Mageia 5 Mass Rebuild

* Fri Dec 27 2013 dmorgan <dmorgan> 1.8.1.3-2.mga4
+ Revision: 560897
- imported package hsqldb1


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.8.1.3-1
- initial rpm
